Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SystemCall Class Reference

static class for system calls

Attention:
  the implementation is system specific!

More...

`#include <SystemCall.h>`

List of all members.

## Static Public Member Functions
unsigned long | getCurrentSystemTime ()
| returns the current system time in milliseconds
unsigned long | getTimeSince (unsigned long aTime)
| returns the time since aTime
unsigned long | getFreeMem ()
| returns the amount of free memory
unsigned char | getRemainingPower ()
| returns the amount of remaining battery power in percent or 100 if the robot is attached to powerline
void | reboot ()
| reboots the robot
void | shutdown ()
| shuts the robot down
void | getMacAddress (unsigned char address[6])
| returns the robot's mac address
RobotDesign::Design | getRobotDesign ()
| returns the robot's design

## Detailed Description

static class for system calls

Attention:
  the implementation is system specific!

Definition at line 43 of file SystemCall.h.

## Member Function Documentation

unsigned long SystemCall::getCurrentSystemTime | ( |  | ) | `[static]`

| returns the current system time in milliseconds Definition at line 21 of file SystemCall.cpp. Referenced by DebugKeyTable::activate(), GT2005ObstaclesLocator::addObstaclePoint(), GT2005ObstaclesLocator::addObstaclePoints(), OCBridge::addPercept(), OCRedLine::addPercept(), BitePoint::addPercept(), GT2005ObstaclesLocator::addPSDPercept(), GT2005RobotStateDetector::calculateCollisionState(), AngleSymbols::calculateCombinedAngles(), GT2005HeadControl::calibrateHeadSpeed(), KickLogger::changeState(), Cognition::Cognition(), GT2005ObstaclesLocator::determineSeenGoals(), Watchdog::dump(), ModuleSelector::execute(), Module::execute(), GT2005TeamBallLocator::execute(), GT2005SensorDataProcessor::execute(), SlamSelfLocator::execute(), GTCamSelfLocator::execute(), GT2005StableSelfLocator::execute(), GT2005SelfLocator::execute(), GT2004SelfLocator::execute(), GT2005RobotStateDetector::execute(), GTCamObstaclesLocator::execute(), MotionRatingBehaviorControl::execute(), GT2005WalkCalibrationMainBehavior::execute(), GT2005BasicBehaviorGoToPointAndAvoidObstacles::execute(), GTCamBallLocator::execute(), GT2005BallLocator::execute(), GT2005GetupEngine::executeParameterized(), PassSymbols::getAngleToPassSender(), KickLoggerSymbols::getBallPosition(), RobotStateSymbols::getCurrentSystemTime(), getSystemTime(), getTimeSince(), GT2005BallLocator::GT2005BallLocator(), GT2005StableSelfLocatorSample::GT2005StableSelfLocatorSample(), GTCamBallLocator::GTCamBallLocator(), Debug::handleMessage(), MotionRatingBehaviorControl::handleMessage(), GTXabsl2EngineExecutor::init(), GT2005BasicBehaviorCalcWlanBearing::init(), GT2005WalkCalibrationMainBehavior::Initialize(), JoystickData::JoystickData(), SlamSelfLocator::lineObservationUpdate(), GT2005WalkCalibrationMainBehavior::Measure(), LogPlayer::onIdle(), GTCamTimeSyncHandler::onReceive(), DDPHandler::onReceive(), operator>>(), Cognition::performFpsMeasure(), GT2005BehaviorControl::postExecute(), Process::processMain(), ProcessCreator< T >::processNextFrame(), TeamMessageCollection::processOutMessages(), TeamMessageCollection::processTimeStamps(), TestSymbols::registerSymbols(), ChallengeSymbols::registerSymbols(), GT2005SelfLocatorSample::reset(), WalkAccelerationRestrictor::restrictAccelerations(), NetDebugSender::send(), NetSender< MessageQueue >::send(), DDPHandler::sendDDPPackage(), LandmarksState::setLandmarkVisibleByBeaconType(), GT2005SelfLocatorSample::setPerceptProbability(), ColorTableCuboids::setThresholds(), SlamSelfLocator::SlamSelfLocator(), SlamSelfLocatorSample::SlamSelfLocatorSample(), Parcour::start(), GTCamTimeSyncHandler::startTimeSync(), Parcour::update(), KickLoggerSymbols::update(), GT2005StrategySymbols::update(), and RoboCupGameManagerSymbols::update().

unsigned long SystemCall::getTimeSince | ( | unsigned long | aTime | ) | `[inline, static]`

| returns the time since aTime Definition at line 52 of file SystemCall.h. References getCurrentSystemTime(). Referenced by DDPHandler::activeTeamMembers(), GT2005ObstaclesLocator::addPSDPercept(), GT2005HeadControl::calibrateHeadSpeed(), GT2005StrategySymbols::computeRole(), GT2005ObstaclesLocator::determineFreePartsOfGoals(), ModuleSelector::execute(), GT2005SensorDataProcessor::execute(), SlamSelfLocator::execute(), GT2005StableSelfLocator::execute(), GT2005SelfLocator::execute(), GT2004SelfLocator::execute(), GT2005RobotStateDetector::execute(), MotionRatingBehaviorControl::execute(), KickLogger::execute(), GT2005BasicBehaviorGoToPointAndAvoidObstacles::execute(), GT2005BasicBehaviorGoalieReturnToGoal::execute(), GT2005GetupEngine::executeParameterized(), RobotStateSymbols::getAnyBackButtonPressedForOneSecond(), RobotStateSymbols::getAnyBackButtonPressedShortAndReleased(), GT2005HeadControlSymbols::getBallTimeSinceLastSeen(), RobotStateSymbols::getChinButtonPressedForThreeSeconds(), ColorTableCuboids::getColorClass(), SeenBallState::getConsecutivelySeenTime(), RobotStateSymbols::getForeBackButtonPressedShortAndReleased(), RobotStateSymbols::getHeadButtonPressedForThreeSeconds(), RobotStateSymbols::getHeadButtonPressedShortAndReleased(), RobotStateSymbols::getHindBackButtonPressedShortAndReleased(), JoystickSymbols::getJoystickTimeSinceLastMessage(), BallSymbols::getJustSeen(), BallModel::getKnownBallState(), BallModel::getKnownPosition(), RobotStateSymbols::getMiddleBackButtonPressedShortAndReleased(), RoboCupGameManagerSymbols::getOpponentTeamScored(), RoboCupGameManagerSymbols::getOwnTeamScored(), PlayersSymbols::getTimeSinceDetectedOwnPlayer(), GT2005StrategySymbols::getTimeSinceLastCarryBall(), GT2005StrategySymbols::getTimeSinceLastKick(), BallModel::getTimeSinceLastKnown(), RoboCupGameManagerSymbols::getTimeSinceLastMessage(), BallSymbols::getTimeSinceLastSeen(), GT2005HeadControlSymbols::getTimeSinceLastSeenABeacon(), GT2005HeadControlSymbols::getTimeSinceLastSeenConsecutively(), BallSymbols::getTimeSinceLastSeenConsecutively(), AngleSymbols::getTimeSinceLastSeenOpponentGoal(), AngleSymbols::getTimeSinceOpponentGoalDetection(), RobotStateSymbols::getTimeSinceSomethingWasInFrontOfChest(), KickSelectionSymbols::intentionalKickPossible(), TeamMessage::isActual(), GT2005HeadControl::isTimedOut(), Cognition::main(), GT2005ObstaclesLocator::moveObstaclesByOdometry(), LogPlayer::onIdle(), GT2005BehaviorControl::preExecute(), Process::processMain(), DDPHandler::sendDDPPackage(), GTStandardConverter::setData(), and GT2005StrategySymbols::update().

Here is the call graph for this function:

unsigned long SystemCall::getFreeMem | ( |  | ) | `[static]`

| returns the amount of free memory Definition at line 27 of file SystemCall.cpp. Referenced by GTXabsl2EngineExecutor::init().

unsigned char SystemCall::getRemainingPower | ( |  | ) | `[static]`

| returns the amount of remaining battery power in percent or 100 if the robot is attached to powerline Definition at line 34 of file SystemCall.cpp. References shutdown(), and VERIFY. Referenced by MotionRatingBehaviorControl::execute(), RobotStateSymbols::getRemainingCapacity(), MotionRatingBehaviorControl::handleMessage(), GT2005BehaviorControl::postExecute(), DDPHandler::sendDDPPackage(), and GT2005LEDControl::showBatteryState().

Here is the call graph for this function:

void SystemCall::reboot | ( |  | ) | `[static]`

| reboots the robot Definition at line 47 of file SystemCall.cpp. References VERIFY.

void SystemCall::shutdown | ( |  | ) | `[static]`

| shuts the robot down Definition at line 53 of file SystemCall.cpp. References VERIFY. Referenced by BasicBehaviorShutdown::execute(), and getRemainingPower().

void SystemCall::getMacAddress | ( | unsigned char | address[6] | ) | `[static]`

| returns the robot's mac address Definition at line 62 of file SystemCall.cpp. References VERIFY. Referenced by RobotConfiguration::load(), and GT2005WalkingEngine::readOdometryCalibrationData().

RobotDesign::Design SystemCall::getRobotDesign | ( |  | ) | `[static]`

| returns the robot's design Definition at line 75 of file SystemCall.cpp. References VERIFY. Referenced by Debug::Debug(), MotorCommandsSender::getPrimitiveJointName(), MotorCommandsSender::getPrimitiveLEDName(), RobotConfiguration::load(), MotorCommandsSender::MotorCommandsSender(), operator>>(), MotorCommandsSender::preparePackage(), and SoundDataSender::SoundDataSender().

The documentation for this class was generated from the following files:

- Platform/Aperios1.3.2/SystemCall.h
- Platform/Aperios1.3.2/SystemCall.cpp